## knitpy 0.1.1~git20180430

=== debian/changelog ===
knitpy (0.1.1~git20180430-4.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop quilt depedency from build: this is a format 3.0 source package.

 -- Alexandre Detiste <tchet@debian.org>  Sat, 06 Sep 2025 13:06:40 +0200

knitpy (0.1.1~git20180430-4.2) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Remove dh_buildinfo call (Closes: #1089907)

 -- Chris Hofstaedtler <zeha@debian.org>  Sat, 14 Dec 2024 14:30:49 +0100

knitpy (0.1.1~git20180430-4.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Remove obsolete Build-Depends: dh-buildinfo (Closes: #1088383)
  * Set Rules-Requires-Root: no

 -- Alexandre Detiste <tchet@debian.org>  Thu, 28 Nov 2024 07:13:54 +0100

knitpy (0.1.1~git20180430-4) unstable; urgency=medium

  * New patches: fix_yaml.patch and jupyter_client_7_0.patch

 -- Miriam Ruiz <miriam@debian.org>  Mon, 15 May 2023 14:57:09 +0200

knitpy (0.1.1~git20180430-3) unstable; urgency=medium

  * Added --install-layout=deb to python3 setup.py. Closes: #1026721

 -- Miriam Ruiz <miriam@debian.org>  Tue, 21 Mar 2023 13:29:16 +0100

knitpy (0.1.1~git20180430-2) unstable; urgency=medium

  * Source-only upload. Closes: #958196

 -- Miriam Ruiz <miriam@debian.org>  Mon, 20 Apr 2020 21:54:28 +0200

knitpy (0.1.1~git20180430-1) unstable; urgency=medium

  * Initial release. Closes: #941221.

 -- Miriam Ruiz <miriam@debian.org>  Thu, 26 Sep 2019 17:21:23 +0200
