=== debian/control ===
Source: knitpy
Section: python
Priority: optional
Maintainer: Miriam Ruiz <miriam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 dh-sequence-python3,
 python3-all,
 python3-setuptools,
Standards-Version: 4.7.2
Homepage: https://github.com/janschulz/knitpy

Package: python3-knitpy
Architecture: all
Depends:
 python3-ipykernel,
 python3-jupyter-client,
 python3-jupyter-core,
 python3-pypandoc,
 python3-traitlets,
 python3-yaml,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 python3-tabulate,
 texlive-fonts-recommended,
 texlive-latex-base,
Description: report generation tool with Python
 Knitpy is an elegant, flexible and fast dynamic report generation with
 Python 3. It is a port of knitr and rmarkdown to Python and is used to
 convert pymd documents (*.pymd) to various other formats.
 .
 Codeblocks and inline code are executed via IPython kernels and the results
 are inserted into the document. Documents should follow rmarkdown syntax
 substituting 'python' for 'r' if python code should be executed.
 .
 Features:
  - Code blocks and inline code.
  - Plots are shown inline.
  - Output formats html, pdf and docx.
  - Code chunk arguments eval, results (apart form "hold"), include and echo
  - Errors in code chunks are shown in the document.
  - Uses the IPython display framework, so rich output for objects implementing
    _repr_html_() or _repr_markdown_(). Mimetypes not understood by the final
    output format are automatically converted via pandoc.
  - Can be imported and used from Python.
  - Supports a --debug mode.
