=== debian/rules ===
#!/usr/bin/make -f

CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
LDFLAGS2:=-Wl,-z,defs  -Wl,-as-needed -Wl,--no-undefined

#PYVERS=$(shell pyversions -vs)
PY3VERS=$(shell py3versions -vs)

config: config-stamp
config-stamp:
	dh_testdir
	touch $@

#build: $(PYVERS:%=build-python%) $(PY3VERS:%=build-python%)
build: $(PY3VERS:%=build-python%)

build-arch: build
build-indep: build

build-python%: config-stamp
	dh_testdir
	python$* setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -fv config-stamp build-python?.* install-python?.*
	rm -fv `find . -name "*.pyc"`
	rm -rfv build *.egg-info
	dh_clean

#install: build $(PYVERS:%=install-python%) $(PY3VERS:%=install-python%)
install: build $(PY3VERS:%=install-python%)

install-python%:
	dh_testdir
	dh_testroot
	python$* setup.py install \
		--install-layout=deb \
		--prefix=/usr/ \
		--no-compile \
		--root=$(CURDIR)/debian/tmp
	touch $@

binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs -i
	dh_installdocs -i
	dh_installexamples -i
	dh_install -i
	dh_installman -i
	dh_link -i
	dh_compress -i --exclude=.js --exclude=.pdf --exclude=.py
	dh_fixperms -i
	#dh_python2 -i
	dh_python3 -i
	dh_installdeb -i
	dh_shlibdeps -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: config build clean binary-indep binary-arch binary install
